## etw 3.2+svn125

=== etw/Makefile ===
CC = gcc
DEBUG = 
DEFINES = -DLINUX -DCD_VERSION

OBJECTS = highdirent.o	  cpu.o		   human.o	  myiff.o	specials.o \
	anim.o		  crowd.o	   intro.o	  os_control.o	squadre.o \
	arbitro.o	  data.o	   league.o	  os_init.o	tables.o \
	arcade.o	  dati_vel.o	   lists.o	  os_video.o	tactics.o \
	chunkyblitting.o  display.o	   loops.o	  palla.o	teams.o \
	commento.o	  etw.o		   main.o	  portiere.o	 \
	computer.o	  etw_locale.o	   menu.o	  radar.o	utility.o \
	config.o	  font.o	   menu_config.o  replay.o	velocita_g.o \
	connection.o	  generic_video.o  menu_data.o	  sound.o	wc.o \
	control.o	  gfx.o		   menu_font.o	  special.o

.c.o: etw.h menu.h
	$(CC) $(CFLAGS) $(DEFINES) -c $<

all etw:
	@case "`uname -s 2>/dev/null`" in \
	  "Linux") \
	    $(MAKE) -f Makefile.linux $@ \
	    ;; \
	  *) \
	    echo "Error: please use the makefile for your platform:" \
	    exit 1 \
	    ;; \
	esac

clean:
	rm -rf etw etw.exe *.o

.FORCE:

## etw 3.6%2Bsvn162

=== debian/changelog ===
etw (3.6+svn162-6) unstable; urgency=medium

  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.1.
  * Fix etw fails to cross build from source.
    Thanks to Helmut Grohne for the patch. (Closes: #930939)

 -- Markus Koschany <apo@debian.org>  Fri, 18 Dec 2020 00:22:41 +0100

etw (3.6+svn162-5) unstable; urgency=medium

  * Fix Debian bug 928240, segmentation fault on startup.
    Thanks to Bernat for the report and Steinar H. Gunderson for the patch.
    (Closes: #928240)

 -- Markus Koschany <apo@debian.org>  Wed, 01 May 2019 22:13:04 +0200

etw (3.6+svn162-4) unstable; urgency=medium

  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.2.1.
  * Drop deprecated menu file and xpm icon.
  * Use https for Format field.
  * Use canonical VCS URI.

 -- Markus Koschany <apo@debian.org>  Mon, 26 Nov 2018 22:41:15 +0100

etw (3.6+svn162-3) unstable; urgency=medium

  * Declare compliance with Debian Policy 3.9.8.
  * wrap-and-sort -sa.
  * Vcs-fields: Use https and cgit.
  * Update my e-mail address.
  * Don't export DH_OPTIONS anymore.
  * Ensure that etw can be built twice in a row.
  * Remove source/local-options.

 -- Markus Koschany <apo@debian.org>  Mon, 08 Aug 2016 13:39:01 +0200

etw (3.6+svn162-2) unstable; urgency=low

  * [aa1f3de] Make etw compile on GNU/Hurd.
    - Update Build-on-kFreeBSD.patch to Build-on-kFreeBSD-and-Hurd.patch.
    - Add do-not-use-PATH_MAX.patch.
  * [27022f8] debian/control: Use canonical Vcs-URI.
  * [ebd8934] Update copyright years.
  * [801b26c] etw.desktop: Add keywords.

 -- Markus Koschany <apo@gambaru.de>  Mon, 15 Apr 2013 16:44:58 +0200

etw (3.6+svn162-1) unstable; urgency=low

  * New upstream SVN snapshot.
    - Mostly code cleanup, small bug fixes and renaming of italian variables.
  * Switch to package format 3.0 (quilt).
  * debian/patches:
    - Drop changelog patch. A changelog was never installed.
    - Refresh all other patches, drop patch numbers and prepare Makefile.linux
      for hardening.
    - Add Fix-conflicting-types-for-drawtext-declaration.patch which fixes
      a FTBFS.
  * debian/control:
    - Drop superfluous quilt dependency.
    - Drop sharutils dependency. In version 3.6 we don't need it anymore to fix
      bug #335719.
    - New Standards-Version: 3.9.4.
  * Bump compat level to 9 and change requirement for debhelper to >= 9.
  * Update README.Debian and point to upstream's EatTheWhistle.txt
    which has been renamed to README. It contains additional and more useful
    information.
  * Update debian/copyright to copyright format 1.0.
  * Update etw's manpage.
  * Remove postinst and preinst script. Keep it simple and less error-prone.
  * Add etw.png icon and install etw.xpm only to /usr/share/pixmaps.
  * Update desktop and menu file and add German comments.
  * debian/rules:
    - Simplify debian/rules by using dh sequencer.
    - Update get-orig-source target.
    - Build with dh --parallel.
    - Fix FTBFS with binutils-gold and add -lm to LDFLAGS. (Closes: #693949)
  * Build with Wl, --as-needed to avoid unnecessary dependencies.
  * Partially build with hardening build flags. Unfortunately enabling all
    hardening features makes the game unusable.
  * Update watch file.

 -- Markus Koschany <apo@gambaru.de>  Mon, 05 Jan 2013 10:27:47 +0100

etw (3.6+svn140-4) unstable; urgency=low

  * New Maintainer. (Closes: #544922)
  * Eat the Whistle will be maintained in a Git repository from now on.
    Change the Vcs-fields in debian/control accordingly.
  * debian/patches:
    Add 0005-change-configuration-path.patch.
    Load configuration in $HOME/.etw/ instead of
    /usr/share/games/etw and stop failing silently. (Closes: #693244)
  * Update README.Debian.

 -- Markus Koschany <apo@gambaru.de>  Sun, 16 Nov 2012 19:41:55 +0100

etw (3.6+svn140-3) unstable; urgency=low

  * Team upload.
  * Fix build problem on GNU/kFreeBSD

 -- Christoph Egger <christoph@debian.org>  Sun, 15 May 2011 00:09:13 +0200

etw (3.6+svn140-2) unstable; urgency=low

  * 100_pthread_linking.diff: fix pthread linking (Closes: #554332).
  * debian/control: add ${misc:Depends}.

 -- Sam Hocevar <sho@debian.org>  Tue, 10 May 2011 00:27:59 +0200

etw (3.6+svn140-1) unstable; urgency=low

  [ Barry deFreese ]
  * Update my e-mail address.
  * New upstream release. (Closes: #495162).
    + Take from SVN since upstream doesn't provide a tarball.
  * Update 200_datadir.diff for new source.
  * Add copyright holder.
  * Bump Standards Version to 3.8.1. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Wed, 08 Apr 2009 20:50:38 -0400

etw (3.2+svn125-1) unstable; urgency=low

  [ Barry deFreese ]
  * Add watch file
  * Bump debhelper build-dep to match compat
  * Add homepage field in control
  * Add simple man page
  * New upstream snapshot
    + Update versioning to 3.2 to reflect upstream
  * Reconfigure build system
  * Add get-orig-source target in debian/rules
  * Remove deprecated encoding field from desktop file
  * Update 200_datadir.diff for new upstream
  * Add myself to uploaders
  * Remove XS- from VCS fields in control

  [ Alexander Schmehl ]
  * Bumpting standards to 3.7.3 (no change needed)

 -- Barry deFreese <bddebian@comcast.net>  Wed, 13 Feb 2008 10:56:07 +0100

etw (3.0.svn20071018-1) unstable; urgency=low

  [ Sam Hocevar ]
  * New upstream snapshot.
  * Game is still buggy, but has become pretty enjoyable and is therefore fit
    for unstable.

  * debian/rules:
    + Don’t ignore make clean errors.
  * debian/control:
    + Use ${source:Version} instead of ${Source-Version}.

  * debian/patches/200_datadir.diff:
    + New patch. Set data directory to /usr/share/games/etw.

  [ Eddy Petrișor ]
  * added a RO translation to the desktop file strings
  * correct category name is "Game" not "Games"

  [ Gonéri Le Bouder ]
  * remove the Applications category from the desktop file since
    it's not an official category. Add SportsGame category.


## etw 3.6+svn162

=== etw/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)

project(ETW)

find_package(SDL REQUIRED)
find_package(GTK2 REQUIRED)

set(sources highdirent.c cpu.c human.c myiff.c specials.c 
         	anim.c crowd.c intro.c os_control.c squadre.c 
        	arbitro.c data.c league.c os_init.c	tables.c 
        	arcade.c dati_vel.c lists.c os_video.c tactics.c 
        	chunkyblitting.c display.c loops.c palla.c teams.c 
        	commento.c etw.c main.c portiere.c freq.c 
        	computer.c etw_locale.c	menu.c radar.c utility.c 
        	config.c font.c menu_config.c replay.c velocita_g.c 
        	connection.c generic_video.c menu_data.c sound.c wc.c 
        	control.c gfx.c menu_font.c special.c network.c 
        	highsocket.c prefix.c)

add_executable(etw ${sources})

set(LIBS ${LIBS} ${SDL_LIBRARY} ${GTK2_LIBRARIES})
target_link_libraries(etw ${LIBS})
set_property(DIRECTORY PROPERTY COMPILE_DEFINITIONS CD_VERSION)
if (APPLE)
    set_property(DIRECTORY PROPERTY COMPILE_DEFINITIONS MACOSX)
else(APPLE)
    if (WIN32)
        set_property(DIRECTORY PROPERTY COMPILE_DEFINITIONS WIN)
    else(WIN32)
        set_property(DIRECTORY PROPERTY COMPILE_DEFINITIONS LINUX ENABLE_BINRELOC)
    endif(WIN32)
endif(APPLE)

include_directories("include" ${SDL_INCLUDE_DIR} ${GTK2_INCLUDE_DIRS})

=== etw/Makefile ===
# general makefile, tries autodetection if available

SYSTEM=`uname -s 2>/dev/null`

all:
	@case $(SYSTEM) in \
	  "Linux") \
	    $(MAKE) -f Makefile.linux $@ \
	    ;; \
	  "Darwin") \
	    $(MAKE) -j2 -f Makefile.universal \
	    ;; \
	  *) \
	    echo "Error: please use the makefile for your platform:" \
	    exit 1 \
	    ;; \
	esac

clean:
	rm -rf etw etw.exe *.o x86 ppc

.FORCE:

=== server/Makefile ===
CC = gcc
DEBUG = 
DEFINES = -DLINUX 
NAME = etwd

CFLAGS = -g -O2 -Wall
OBJECTS = highsocket.o server.o utility.o main.o

.c.o: highsocket.h
	$(CC) $(CFLAGS) $(DEFINES) -c $<

all: $(NAME)

$(NAME): $(OBJECTS)
	$(CC) -o $@ $(OBJECTS) $(LFLAGS)

clean:
	rm -rf *.o $(NAME)

=== debian/changelog ===
etw (3.6+svn162-7) unstable; urgency=medium

  * Team Upload
  * Add debian/salsa-ci.yml
  * Trim d/rules with newer & shorter syntax
  * Bump Standards-Version to 4.7.2
  * Apply Multi-Arch: hint

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database.
  * Fix day-of-week for changelog entries 3.6+svn162-1, 3.6+svn140-4.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 03 Dec 2025 18:05:46 +0100

=== debian/control ===
Source: etw
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libgtk2.0-dev,
 libsdl1.2-dev
Standards-Version: 4.7.2
Homepage: http://www.ggsoft.org/etw/
Vcs-Git: https://salsa.debian.org/games-team/etw.git
Vcs-Browser: https://salsa.debian.org/games-team/etw

Package: etw
Architecture: any
Depends:
 etw-data (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: arcade-style soccer game
 Eat The Whistle is an arcade soccer game similar to famous Amiga titles such
 as Kick Off or Sensible Soccer. It features several game modes where you can
 play either as the whole team or as a single player, and you can also manage
 teams that take part in cups and leagues. There is even an arcade mode with
 powerups and bonuses, like in the game SpeedBall 2.
 .
 Eat The Whistle features 30 different field types and numerous sound effects.
 The game is viewed from the side and can be controlled with either a joystick
 or the keyboard.
 .
 Most in-game settings are configurable, such as the pitch, weather and game
 daytime, which will impact on the gameplay. There is a replay mode that lets
 you load and save best moments, a game tactics editor, and teams from the
 game Sensible World of Soccer can be directly imported.

Package: etw-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Suggests:
 etw
Description: graphics and audio data for etw
 Eat The Whistle is an arcade soccer game similar to famous Amiga titles such
 as Kick Off or Sensible Soccer. It features several game modes where you can
 play either as the whole team or as a single player, and you can also manage
 teams that take part in cups and leagues. There is even an arcade mode with
 powerups and bonuses, like in the game SpeedBall 2.
 .
 This package contains the architecture-independent data for etw. For more
 information, see the etw package.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -lm

%:
	dh $@

override_dh_auto_configure:
	dh_auto_build --sourcedirectory=etw

execute_before_dh_installdocs:
	cp ./web/EatTheWhistle.txt README

execute_after_dh_clean:
	find . -name "*.o" -delete
	$(RM) etw/etw
	$(RM) README

=== debian/watch ===
version=4
http://sf.net/etw/ETW-(.+)-src\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)
